/*
Fichier des noms des villes et des coordonées à l'écran
*/



struct data
{
    bopti_image_t *carte;
    char noms[40][25];
    int posx[40];
    int posy[40];
};



//images du jeu
extern bopti_image_t img_monde;
extern bopti_image_t img_france;
extern bopti_image_t img_europe;
extern bopti_image_t img_canada;
extern bopti_image_t img_usa;
extern bopti_image_t img_asie;



struct data monde = {

    &img_monde,

    {
        "Les Etats-Unis",
        "La Chine",
        "Le Japon",
        "L'Allemagne",
        "L'Inde",
        "Le Royaume Uni",
        "La France",
        "Le Canada",
        "L'Italie",
        "Le Bresil",
        "La Russie",
        "La Coree du sud",
        "L'Australie",
        "L'Espagne",
        "Le Mexique",
        "L'Indonesie",
        "Les Pays bas",
        "L'Arabie saoudite",
        "La Turquie",
        "La Suisse",
        "La Pologne",
        "La Suede",
        "La Belgique",
        "La Thailande",
        "L'Argentine",
        "La Norvege",
        "Le Venezuela",
        "L'Israel",
        "L'Autriche",
        "L'Egypte",
        "Le Danemark",
        "Singapour",
        "Le Vietnam",
        "La Nouvelle Zelande",
        "Le Portugal",
        "L'Iran",
        "La Grece",
        "L'Ukraine",
        "Le Quatar",
        "L'Algerie"
    },

    {
        82,
        282,
        319,
        191,
        259,
        179,
        183,
        79,
        194,
        128,
        275,
        308,
        316,
        177,
        79,
        295,
        186,
        225,
        226,
        188,
        201,
        196,
        186,
        283,
        116,
        189,
        116,
        216,
        198,
        210,
        190,
        285,
        288,
        353,
        174,
        235,
        204,
        213,
        232,
        184
    },

    {
        99,
        104,
        102,
        80,
        117,
        80,
        87,
        68,
        94,
        152,
        62,
        100,
        168,
        97,
        117,
        141,
        82,
        116,
        99,
        88,
        80,
        60,
        82,
        124,
        178,
        63,
        133,
        108,
        87,
        114,
        74,
        140,
        129,
        187,
        99,
        106,
        100,
        84,
        115,
        113
    }

};




struct data france = {
    &img_france,

    {
        "Paris",
        "Marseille",
        "Lyon",
        "Toulouse",
        "Nice",
        "Nantes",
        "Montpellier",
        "Strasbourg",
        "Bordeaux",
        "Lille",
        "Rennes",
        "Reins",
        "Toulon",
        "Saint-Etienne",
        "Le Havre",
        "Dijon",
        "Grenoble",
        "Angers",
        "Nimes",
        "Clermont-Ferrant",
        "Aix en provence",
        "Le mans",
        "Brest",
        "Tours",
        "Amiens",
        "Annecy",
        "Limoges",
        "Metz",
        "Besancon",
        "Perpignan",
        "Orleans",
        "Rouen",
        "Argenteuil",
        "Mulhouse",
        "Caen",
        "Nancy",
        "Ajaccio",
        "Basia",
        "La Rochelle",
        "Poitiers"
    },

    {
        196,
        246,
        237,
        184,
        275,
        133,
        218,
        284,
        146,
        206,
        126,
        225,
        256,
        232,
        157,
        241,
        252,
        145,
        229,
        210,
        245,
        158,
        78,
        164,
        191,
        260,
        173,
        260,
        255,
        204,
        187,
        173,
        191,
        279,
        151,
        260,
        303,
        314,
        137,
        162
    },

    {
        65,
        200,
        139,
        195,
        191,
        180,
        191,
        71,
        166,
        18,
        82,
        51,
        203,
        148,
        46,
        103,
        154,
        99,
        188,
        143,
        192,
        84,
        74,
        102,
        37,
        138,
        140,
        57,
        105,
        214,
        87,
        47,
        60,
        92,
        56,
        72,
        210,
        193,
        131,
        121
    }
};


struct data europe = {
    &img_europe,

    {
        "Berlin",
        "Madrid",
        "Rome",
        "Paris",
        "Vienne",
        "Bucharest",
        "Hambourg",
        "Budapest",
        "Varsovie",
        "Barcelone",
        "Munich",
        "Milan",
        "Prague",
        "Sofia",
        "Cologne",
        "Naples",
        "Stockholm",
        "Turin",
        "Marseille",
        "Amsterdam",
        "Zagreb",
        "Valence",
        "Cracovie",
        "Frankfort",
        "Seville",
        "Lodz",
        "Saragosse",
        "Athenes",
        "Palerme",
        "Helsinki",
        "Riga",
        "Rotterdam",
        "Wroclaw",
        "Stuttgart",
        "Copenhague",
        "Dusseldorf",
        "Leipzig",
        "Dortmund",
        "Essen",
        "Lyon"
    },

    {
        207, 
        108, 
        206,
        143,
        223,
        281,
        186,
        240,
        251,
        141,
        197,
        185,
        214,
        268,
        170,
        213,
        236,
        175,
        160,
        158,
        223,
        158,
        246,
        181,
        94,
        242,
        127,
        268,
        207,
        274,
        271,
        154,
        228,
        184,
        202,
        169,
        200,
        174,
        170,
        157
    },
    
    {
        80,
        183,
        173,
        115,
        120,
        151,
        69,
        127,
        82,
        176,
        121,
        144,
        103,
        165,
        94,
        180,
        8,
        146,
        160,
        81,
        140,
        147,
        104,
        103,
        206,
        88,
        174,
        201,
        201,
        0,
        34,
        87,
        93,
        115,
        48,
        92,
        92,
        90,
        90,
        140
    }
};


struct data canada = {
    &img_canada,

    {
        "Victoria",
        "Edmonton",
        "Regina",
        "Winnipeg",
        "Toronto",
        "Quebec",
        "St-John's",
        "Fredericton",
        "Halifax",
        "Charlottetown",
        "Montreal",
        "Calgary",
        "Ottawa",
        "Mississauga",
        "Vancouver",
        "Kelowna",
        "Hamilton",
        "Surrey",
        "Laval",
        "London",
        "Markham",
        "Red Deer",
        "Gatineau",
        "Saskatoon",
        "Colville Lake",
        "Quamani'tuaq",
        "White horse",
        "Windsor",
        "Oakville",
        "Richmond",
        "Kugaaruk",
        "Nain",
        "Cape-Breton",
        "Chilliwack",
        "Moncton",
        "Saint-Albert",
        "Port Coquitlam",
        "Niagara Falls",
        "Belleville",
        "North Bay"
    },

    {
        92,
        130,
        165,
        193,
        262,
        293,
        363,
        311,
        321,
        324,
        284,
        128,
        275,
        260,
        93,
        107,
        260,
        95,
        282,
        254,
        264,
        129,
        275,
        156,
        81,
        197,
        47,
        248,
        260,
        94,
        221,
        328,
        317,
        99,
        319,
        290,
        94,
        262,
        269,
        261
    },
    
    {
        182,
        152,
        170,
        174,
        208,
        191,
        188,
        196,
        204,
        196,
        198,
        166,
        200,
        209,
        178,
        175,
        211,
        179,
        198,
        212,
        206,
        157,
        200,
        160,
        45,
        70,
        102,
        217,
        210,
        179,
        31,
        129,
        193,
        179,
        196,
        197,
        177,
        212,
        207,
        10
    }
};



struct data usa = {
    &img_usa,

    {
        "Montgomery",
        "Seattle",
        "Phoenix",
        "Little rock",
        "Scramento",
        "Raleigh",
        "Colombia",
        "Denver",
        "Hartford",
        "Bismarck",
        "Pierre",
        "Dover",
        "Tallahassee",
        "Atlanta",
        "Boise",
        "Springfield",
        "Indiannapolis",
        "Des Moines",
        "Topeka",
        "Franckfurt",
        "Baton Rouge",
        "Augusta",
        "Annapolis",
        "Bonston",
        "Lansig",
        "Saint Paul",
        "Jackson",
        "Jefferson city",
        "Elena",
        "Lincoln",
        "Carson city",
        "San Francisco",
        "Trenton",
        "New-York",
        "Sante Fe",
        "Colombus",
        "Oklaoma city",
        "Salem",
        "Harrisburg",
        "Providence"
    },

    {
        261,
        52,
        110,
        226,
        57,
        304,
        291,
        154,
        340,
        176,
        180,
        323,
        272,
        272,
        87,
        242,
        261,
        218,
        205,
        270,
        233,
        285,
        318,
        349,
        271,
        221,
        239,
        226,
        111,
        200,
        67,
        51,
        327,
        332,
        146,
        280,
        196,
        48,
        315,
        347
    },

    {
        148,
        31,
        140,
        130,
        103,
        124,
        136,
        95,
        79,
        37,
        59,
        100,
        160,
        137,
        65,
        94,
        94,
        80,
        100,
        107,
        161,
        140,
        101,
        75,
        73,
        56,
        149,
        104,
        41,
        86,
        99,
        110,
        92,
        87,
        126,
        93,
        127,
        55,
        91,
        79
    }
};

struct data asie = {
    &img_asie,

    {
        "Tokyo",
        "Jakarta",
        "Manille",
        "New Delhi",
        "Seoul",
        "Shanghai",
        "Mumbai",
        "Guangzhou",
        "Chongquin",
        "Beijing",
        "Osaka-Kyoto-Kobe",
        "Bankok",
        "Dakka",
        "Kolkata",
        "Karachi",
        "Teheran",
        "Istanbul",
        "Sanaa",
        "Mascate",
        "Colombo",
        "Tianjin",
        "Jerusalem",
        "Ankara",
        "Surabaya",
        "Bengalore",
        "Bagdad",
        "Chennai",
        "Nagoya",
        "Taipei",
        "Bandung",
        "Yangon",
        "Malacca",
        "Singapore",
        "Buzan",
        "Hanoi",
        "Hong-Kong",
        "Riyadh",
        "Dubai",
        "Kaboul",
        "Abou-Dabi"
    },

    {
        339,
        245,
        286,
        161,
        304,
        288,
        149,
        264,
        243,
        273,
        328,
        228,
        199,
        193,
        131,
        88,
        23,
        67,
        107,
        169,
        275,
        40,
        34,
        262,
        162,
        67,
        169,
        332,
        287,
        248,
        215,
        233,
        237,
        309,
        243,
        266,
        74,
        98,
        138,
        96
    },

    {
        83,
        210,
        149,
        107,
        77,
        98,
        135,
        123,
        104,
        67,
        86,
        152,
        122,
        124,
        116,
        82,
        63,
        147,
        123,
        172,
        71,
        97,
        67,
        213,
        154,
        92,
        154,
        84,
        118,
        211,
        142,
        185,
        187,
        84,
        130,
        125,
        118,
        118,
        87,
        120
    }
};


/*
Terminé le 13/05/2023 après trois semaines de concours et beaucoup d'amour pour la programmation...
*/